%define ver 0.6
%define rel 5mdk
%define _prefix /usr

Summary: indonesian files for ispell
Summary(id): Data ejaan Bahasa Indonesia untuk ispell
Name: ispell-id
Version: %{ver}
Release: %{rel}
Group: System/Internationalization
Source: http://ldp.linux.or.id/HOWTO/contrib/indospell/indospell-%{ver}.tar.bz2
URL: http://ldp.linux.or.id/HOWTO/contrib/indospell/
Copyright: GPL
Requires: ispell
BuildRoot: /var/tmp/%{name}-root
Prefix: %{_prefix}
BuildArchitectures: noarch
Requires: locales-id
Obsoletes: indospell
Provides: indospell
Obsoletes: ispell-indonesian
Provides: ispell-dictionary

%description
ispell-id is spelling data in Bahasa Indonesia which used by
ispell program. With this extension, you can compose a document
in Bahasa Indonesia and check for the typos easily.

Ispell can be used directly from command line to check a file; 
or used by several text dealing programs, like LyX, etc. 

%description -l id
ispell-id adalah data ejaan Bahasa Indonesia yang dapat digunakan
untuk program ispell. Dengan demikian Anda dapat mengetik dalam Bahasa
Indonesia tanpa takut salah ketik.

%prep
%setup -n indospell-%{ver}

%build
make


%install
rm -rf $RPM_BUILD_ROOT

#needs to be root, bad.
#make install2 ROOT=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_prefix}/lib/ispell
install -m 644 indonesian.aff $RPM_BUILD_ROOT/%{_prefix}/lib/ispell/
install -m 644 indonesian.hash $RPM_BUILD_ROOT/%{_prefix}/lib/ispell/

# make symlinks for compatibility with old name used
(cd $RPM_BUILD_ROOT/%{_prefix}/lib/ispell/ ; ln -s indonesian.aff indo.aff)
(cd $RPM_BUILD_ROOT/%{_prefix}/lib/ispell/ ; ln -s indonesian.hash indo.hash)
# LaTeX babel package uses 'bahasa'
(cd $RPM_BUILD_ROOT/%{_prefix}/lib/ispell/ ; ln -s indonesian.aff bahasa.aff)
(cd $RPM_BUILD_ROOT/%{_prefix}/lib/ispell/ ; ln -s indonesian.hash bahasa.hash)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644, root, root,755)
%doc COPYING README* THANKS Kontributor mbox2kamus
/%{_prefix}/lib/ispell/*

%changelog
* Thu Mar 30 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 0.6-5mdk
- adapted to new Group: naming

* Wed Jan 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Provides: ispell-dictionary 

* Mon Dec 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- changed name to ispell-id for standardization

* Fri Oct 22 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- fixed permissions problem of /usr/doc/%{name}

* Thu Oct 21 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rebuild with ispell-3.1.20-7mdk (which uses a MASKBITS of 64)

* Mon Aug 30 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 0.6 version

* Thu Aug 19 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- No need to include the source files in the package 
  (*.src.rpm are there for that)
- added indonesian descriptions

* Wed Aug 18 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- First version for Mandrake, contributed by Mohammad DAMT <mdamt@cakraweb.com>
  of Indonesian language team.

